| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# Rndm::Exponential Class Reference

`#include <RndmGenerators.h>`

Inheritance diagram for Rndm::Exponential:

[legend]
Collaboration diagram for Rndm::Exponential:

[legend]

List of all members.

## Detailed Description

Parameters for the Gauss random number generation.

Definition at line 49 of file RndmGenerators.h.

## Public Member Functions
| Exponential (double m)
| Standard Constructor.
virtual | ~Exponential ()
| Standard Destructor.
double | mean () const
| Access mean value of the distribution.
virtual IRndmGen::Param * | clone () const
| Clone parameters.
## Static Public Member Functions
static const InterfaceID & | typeID ()
| Identifier for factory.
## Protected Attributes
double | m_mean
| Mean value of the exponential distribution.

## Constructor & Destructor Documentation

Rndm::Exponential::Exponential | ( | double | m | ) | `[inline]`

Standard Constructor.

Definition at line 55 of file RndmGenerators.h.

    00056     : IRndmGen::Param(IID_IRndmExponential), m_mean(m)  { }

virtual Rndm::Exponential::~Exponential | ( |  | ) | `[inline, virtual]`

Standard Destructor.

Definition at line 58 of file RndmGenerators.h.

    00058 {  }

## Member Function Documentation

double Rndm::Exponential::mean | ( |  | ) | const`[inline]`

Access mean value of the distribution.

Definition at line 60 of file RndmGenerators.h.

    00060 { return m_mean; }

static const InterfaceID& Rndm::Exponential::typeID | ( |  | ) | `[inline, static]`

Identifier for factory.

Definition at line 62 of file RndmGenerators.h.

    00062 { return IID_IRndmExponential; }

virtual IRndmGen::Param* Rndm::Exponential::clone | ( | void |  | ) | const`[inline, virtual]`

Clone parameters.

Implements IRndmGen::Param.

Definition at line 64 of file RndmGenerators.h.

    00064 { return new Exponential(m_mean); }

## Member Data Documentation

double Rndm::Exponential::m_mean`[protected]`

Mean value of the exponential distribution.

Definition at line 52 of file RndmGenerators.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/GaudiKernel/RndmGenerators.h